Read an app
curl --request GET \
--url https://dojo.frogbot.ai/api/apps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dojo.frogbot.ai/api/apps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dojo.frogbot.ai/api/apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dojo.frogbot.ai/api/apps/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace": "<string>",
"name": "<string>",
"slug": "<string>",
"createdBy": "<string>",
"project": "<string>",
"visibility": "private",
"startedAt": "2023-11-07T05:31:56Z",
"removed": true,
"stoppedAt": "2023-11-07T05:31:56Z",
"runtime": {
"provider": "<string>",
"app": "<string>",
"database": "sqlite",
"databaseProject": "<string>",
"databaseBytes": 123,
"volume": "<string>",
"volumeSizeGb": 123,
"machine": "<string>",
"image": "<string>",
"healthCheck": "http",
"deployment": "<string>",
"secretsVersion": 123,
"schedules": "<unknown>",
"nextWakeAt": "2023-11-07T05:31:56Z",
"wakeAttempt": 123,
"lastWakeAt": "2023-11-07T05:31:56Z",
"lastWakeStatus": "ok",
"lastWakeError": "<string>",
"wakeFailures": 123,
"wakeAlertedAt": "2023-11-07T05:31:56Z",
"storageAlertedAt": "2023-11-07T05:31:56Z",
"egressMonth": "<string>",
"egressBytes": 123,
"egressCountedAt": "2023-11-07T05:31:56Z",
"egressAlertedMonth": "<string>"
},
"preview": {
"startedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"keep": true
},
"domain": "<string>",
"domainLiveAt": "2023-11-07T05:31:56Z",
"deployable": true,
"activity": "<string>"
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Apps
Read an app
GET
/
api
/
apps
/
{id}
Read an app
curl --request GET \
--url https://dojo.frogbot.ai/api/apps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dojo.frogbot.ai/api/apps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dojo.frogbot.ai/api/apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dojo.frogbot.ai/api/apps/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspace": "<string>",
"name": "<string>",
"slug": "<string>",
"createdBy": "<string>",
"project": "<string>",
"visibility": "private",
"startedAt": "2023-11-07T05:31:56Z",
"removed": true,
"stoppedAt": "2023-11-07T05:31:56Z",
"runtime": {
"provider": "<string>",
"app": "<string>",
"database": "sqlite",
"databaseProject": "<string>",
"databaseBytes": 123,
"volume": "<string>",
"volumeSizeGb": 123,
"machine": "<string>",
"image": "<string>",
"healthCheck": "http",
"deployment": "<string>",
"secretsVersion": 123,
"schedules": "<unknown>",
"nextWakeAt": "2023-11-07T05:31:56Z",
"wakeAttempt": 123,
"lastWakeAt": "2023-11-07T05:31:56Z",
"lastWakeStatus": "ok",
"lastWakeError": "<string>",
"wakeFailures": 123,
"wakeAlertedAt": "2023-11-07T05:31:56Z",
"storageAlertedAt": "2023-11-07T05:31:56Z",
"egressMonth": "<string>",
"egressBytes": 123,
"egressCountedAt": "2023-11-07T05:31:56Z",
"egressAlertedMonth": "<string>"
},
"preview": {
"startedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"keep": true
},
"domain": "<string>",
"domainLiveAt": "2023-11-07T05:31:56Z",
"deployable": true,
"activity": "<string>"
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Authorizations
Response
OK